WordPress.org

Plugin Directory

Changeset 657076


Ignore:
Timestamp:
01/22/13 20:27:36 (15 months ago)
Author:
askapache
Message:

permissions fix for chmod command to get server-env.cgi working

Location:
askapache-debug-viewer
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • askapache-debug-viewer/tags/2.7/askapache-debug-viewer.php

    r657069 r657076  
    41044104                $perms=0; 
    41054105                $perms=intval(substr(sprintf('%o', fileperms($f)), -3)); 
    4106                 if( (intval($perms)!=744 && intval($perms) < 755) && !@chmod($f, $p)) $ret="\nCANNOT CONTINUE: {$f} perms need to be {$p} or higher (currently {$perms}). # chmod u+x {$f}\n"; 
     4106                if( (intval($perms)!=744 && intval($perms) < 755) && !@chmod($f, 0755)) $ret="\nCANNOT CONTINUE: {$f} perms need to be {$p} or higher (currently {$perms}). # chmod u+x {$f}\n"; 
    41074107            } 
    41084108        } 
  • askapache-debug-viewer/trunk/askapache-debug-viewer.php

    r657069 r657076  
    41044104                $perms=0; 
    41054105                $perms=intval(substr(sprintf('%o', fileperms($f)), -3)); 
    4106                 if( (intval($perms)!=744 && intval($perms) < 755) && !@chmod($f, $p)) $ret="\nCANNOT CONTINUE: {$f} perms need to be {$p} or higher (currently {$perms}). # chmod u+x {$f}\n"; 
     4106                if( (intval($perms)!=744 && intval($perms) < 755) && !@chmod($f, 0755)) $ret="\nCANNOT CONTINUE: {$f} perms need to be {$p} or higher (currently {$perms}). # chmod u+x {$f}\n"; 
    41074107            } 
    41084108        } 
Note: See TracChangeset for help on using the changeset viewer.